\name{lcMake}
\alias{lcMake}
\title{Create parameters.to.save for rube() when LC() is in the model.}
\description{
  This convenience function, creates the parameters.to.save argument for
  a rube() call when LC() is in the model.  The prefix and suffix are strings
  matching the LC() call.  The RHS is usually an element of the varList
  argument to rube(), i.e., it is in the form of a model formula right-hand-side,
  (but provided as a string).
}
\usage{
lcMake(prefix, RHS, suffix)}
\arguments{
  \item{prefix}{A string prefix corresponding to an LC() call.}
  \item{RHS}{A string containing the right-hand-side of a model formula}
  \item{suffix}{A string suffix corresponding to an LC() call.}
}
\details{
  This constructs parameter names from their components.
}
\value{
Returns a string vector of constructed parameter names.
}
\references{http://www.stat.cmu.edu/~hseltman/rube/}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\examples{
lcMake("b", "age+educ", "")
}
\keyword{WinBUGS}
\keyword{posterior}
