\name{makeStats}
\alias{makeStats}
\title{Compute new statistics for a new sims.array.}
\description{
  Compute summary, mean, sd, median, and MCMCerr for a new sims.array.  This is
  used for updating chain statistics after thinning, merging, adding new
  parameters, etc.
}
\usage{
makeStats(simsArr)}
\arguments{
  \item{simsArr}{The sims.array component of a bugs object}
}
\details{
    This can be used to re-compute the chain statistics when the
  chain is modified.  Currently MCMCerr and
  n.eff do not match what R2WinBUGS computes, even though
  the computations are done by coda::summary and coda::effectiveSize.
}
\value{
  Returns a list with components summary, mean, median, sd, and MCMCerr.
}
\references{http://www.stat.cmu.edu/~hseltman/rube/}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\keyword{WinBUGS}
\keyword{posterior}
