\name{mergeLists}
\alias{mergeLists}
\title{Merge two named lists removing duplicates}
\description{
  This convenience functions takes two named lists, e.g., lists containing
  the varList elements for doBugs() and bugsCheck(), and merges them
  to include only the second argument's value(s) for duplicated elements,
  and also containing all non-duplicated elements of both lists.
}
\usage{
mergeLists(list1, list2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{list1}{Any named list}
  \item{list2}{Any named list (given priority for duplicated elements)}
}
\value{
  A named list containing the merged input.
}
\references{http://www.stat.cmu.edu/~hseltman/rube}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\examples{
## Simple example returns list(A=3, B=4, C=5)
mergeLists(list(A=3,B=3), list(B=4, C=5))
}
\keyword{merge}
