\name{model.character}
\alias{model.character}
\title{Show the model code for a text model}
\description{Show the code for a text model or file containing
 the model as text.  This show a nicely
 formatted version of the model code, optionally substituting
 subs, cases, and varLists.}
\usage{\method{model}{character}(x, \ldots, indent="  ", lineNumbers=TRUE)}
\arguments{
  \item{x}{rube code as text or filename of a text file with rube code}
  \item{...}{optional arguments passed to showModel}
  \item{indent}{the string used for indenting ("\\\\t" is OK)}
  \item{lineNumbers}{a logical value indicating lineNumbers should be shown}
}
\details{Displays the model code with indenting.
  Optional arguments include 'subs' (a named list of the form 
     WHAT=value that defines overrides for any default values;
     'cases' (a string vector of values used to define IFCASE); and
     'varList' (a named list of string vectors in the form of model formulas).
}
\value{Returns NULL invisibly.}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\examples{
  m = "model {
        for (i in 1:5) {
          x[i]~dnorm(mu,1)
        }
        mu~dnorm(0,MU.PREC=0.01)
      }"
  model(m, subs=list(MU.PREC=0.001))
}
\keyword{rube}
\keyword{model}
