\name{model.rube}
\alias{model.rube}
\title{Show the model for a rube object}
\description{Show the model for a rube object.  This show a nicely
 formatted version of the model code.}
\usage{\method{model}{rube}(x, \ldots, indent="  ", lineNumbers=TRUE)}
\arguments{
  \item{x}{a rube object as created by rube()}
  \item{...}{optional arguments  passed to default}
  \item{indent}{the string used for indenting ("\\\\t" is OK)}
  \item{lineNumbers}{a logical value indicating lineNumbers should be shown}
}
\details{Displays the model code with indenting.}
\value{Returns NULL invisibly.}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\examples{
  m = "model {
        for (i in 1:5) {
          x[i]~dnorm(mu,1)
        }
        mu~dnorm(0,0.01)
      }"
  model(rube(m))
}
\keyword{rube}
\keyword{model}
