\name{priPost}
\alias{priPost}
\title{Show MCMC prior and posterior on the same plot.}
\description{
   Show MCMC prior and posterior on the same plot.
}
\usage{
priPost(post, dist = c("Normal", "Uniform", "Gamma", "Beta", "sdFromGammaPrecision",
        "HyperBeta", "HyperGamma"), pripar, main = NULL, xlab = NULL, xlim = NULL,
        nsim = 2000, digits = 1, true = NULL, hgtrim=0.99)
}
\arguments{
  \item{post}{A vector, usually from an element of the sims.list element of a bugs() object,
  that contains the posterior simulated values for one parameter.}
  \item{dist}{The specified distribution of the parameter.}
  \item{pripar}{The parameters of the prior distribution (numeric vector).}
  \item{main}{The plot title.}
  \item{xlab}{The plot x-label (defaults to the parameter name as best determined).}
  \item{xlim}{x-axis limits.}
  \item{nsim}{Number of simulations of the prior used to evaluate its shape when
     a compound prior is used.}
  \item{digits}{Number of digits to round to for posterior credible interval.}
  \item{true}{The true value of the parameter (if the data are simulated).}
  \item{hgtrim}{The quantile below which simulated hypergamma simulated priors are kept.}
}
\value{
Invisible NULL
}
\references{
 http://www.stat.cmu.edu/~hseltman/rube
}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}

\seealso{
\code{\link{rube}}
}
\examples{
## Fake posterior for a N(0,10) prior.
  priPost(rnorm(100), "Normal", c(0,10))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{plot}
\keyword{prior}
\keyword{posterior}
\keyword{rube}
