\name{rescue}
\alias{rescue}
\title{Rescue last recorded results from a WinBUGS crash.}
\description{
  Get all recorded MCMC results or just the last recorded iteration from
  a crashed WinBUGS run.
}
\usage{rescue(what=c("MCMC","startVals"), n=NA)}
\arguments{
  \item{what}{What to return: a rube object of MCMC results or a list of starting values
   for a new run based on the last recoreded iteration.}
  \item{n}{If what=MCMC, n is the number of iterations to save, with NA indicating all.}
}
\details{This function reads the files codaIndex.txt and coda#.txt created by setting
    bin= on a rube run.  If WinBUGS crashed, these files contain the partial MCMC
    results saved so far.  Use what=MCMC to get a rube object to examine what happened
    before the crash, or use what=startVals to restart the MCMC from the last recorded
    iteration.  A restarted run will not be identical because the random number seed
    will be in a different state (even if you set it's starting value) and any
    parameters not mentioned in parameters.to.save will not be known.}
\value{Returns a new rube object if what=MCMC, otherwise a list of parameter values.}
\references{http://www.stat.cmu.edu/~hseltman/rube/}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\examples{
cat("Need a good example!\n")
}
\keyword{WinBUGS}
\keyword{recovery}
