\name{rube-package}
\alias{rube-package}
\docType{package}
\title{Really Useful WinBugs Enhancer}
\description{
  The rube package has a wrapper for R2WinBugs bugs() function that implements
  useful model specification enhancements to allow maintenance of a single, simple
  model specification file per project.  This is accomplished through
  conditional coding (IFCASE), overridable defaults for hyperparameters,
  and pseudofunctions that implement on-the-fly linear
  combinations (LC) of data and parameters with corresponding generation of 
  needed hyperprior distributions (FOR).  Also included are a powerful
  syntax checker which gives specific information on incorrect
  model specification, and which optionally gives a highly useful summary of
  the relationships between model, data and initializations.  Several plot
  functions for exploration of priors and posteriors are also included.
  This include the ability to add parameters that are compuatable from
  other parameters without having to re-run the model.
  Also, models may be stored in plain text in R files if desired.
}
\details{
  The syntax checker (rube:::bugsCheck()) is normally called by rube() rather
  than directly.  If rube() is called with the default NULL value of
  'parameters.to.save', then only the bugs check is performed, and WinBUGS is
  not called.  This is useful both before and after
  setting up data and initializations, as well as before and after using
  rube to run the model through WinBUGS.  

  The rube() function is a wrapper for bugs() that implements
  the defaults, conditional codings, and pseudofunctions.  The model()
  convenience function also implements these.  The check() function
  reports the model checking result on
  any rube result.  The showDefaults() convenience
  function is a first step in prior sensitivity testing.

  Some prior exploration function will be added to this package soon.

  The p3() functions interactively explores the basic characteristics of the
  posterior.  The pripost() function compares priors to posteriors.
}
\references{
 http://www.stat.cmu.edu/~hseltman/rube
}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}

\keyword{package}
\keyword{WinBUGS}
\seealso{
\code{\link{rube}}, \code{\link{model}},  \code{\link{check}},
  \code{\link{showDefaults}}, \code{\link{p3}}, \code{\link{check}}, 
  \code{\link{priPost}}}
