\name{shrink}
\alias{shrink}
\title{Thin and/or drop more burn-in iterations and/or drop parameters from a rube object.}
\description{
  Thin and/or drop more burn-in iterations and/or drop parameters from a rube object.
}
\usage{
shrink(rubeObject, n.thin = 1, drop=0, chainsDropped=NULL, ignore=NULL, 
       keep=NULL, minimal=FALSE)}
\arguments{
  \item{rubeObject}{A list of rube() objects.}
  \item{n.thin}{A thinning rate: every n.thin'th value is kept.}
  \item{drop}{Number of initial iterations to drop}
  \item{chainsDropped}{Chain numbers of chains to drop}
  \item{ignore}{A string vector of parameters to ignore (drop).}
  \item{keep}{A string vector of parameters to keep.  If non-null, only
  these parameters are kept.}
  \item{minimal}{A logical value, where TRUE indicates dropping optional
  components from the result.}
}
\details{Thin and/or drop more burn-in iterations and/or drop parameters and/or 
         drop chains from a rube object.}
\value{Returns a new rube object.}
\references{http://www.stat.cmu.edu/~hseltman/rube/}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\examples{
cat("Need a good example!\n")
}
\keyword{WinBUGS}
\keyword{posterior}
