\name{stitch}
\alias{stitch}
\title{Stitch together end-to-end two rube runs on the same model.}
\description{
  Particularly if a subsequent run has the starting values equal to the last
  values of the prior run, you may want to stitch runs together into a single
  long run.
}
\usage{
stitch(rubeResult1, rubeResult2, minimal=FALSE)}
\arguments{
  \item{rubeResult1}{A rube() object.}
  \item{rubeResult2}{A rube() object.}
  \item{minimal}{Set to TRUE to supress sims.matrix, sims.list, summary, etc.}
}
\details{Returns the resonable components of a rube object based on
  stitching together two rube objects end-to-end.}
\value{Returns a new rube object.}
\references{http://www.stat.cmu.edu/~hseltman/rube/}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}
\seealso{
\code{\link{rube}}
}
\examples{
cat("Need a good example!\n")
}
\keyword{WinBUGS}
\keyword{posterior}
