\name{unlister}
\alias{unlister}
\title{A convenience function to facilitate use of ragged arrays for WinBUGS.}
\description{
  A named list that contains an element named "unlist" is altered by
  applying unlist to elements listed in the "unlist" vector (possibly renaming them).
}
\usage{
unlister(data)
}
\arguments{
  \item{data}{A named list (of data).}
}
\details{
  If one of the elements of "data" is a string vector named "unlist", then
  the strings are ta
}
\value{
A new named vector with no "unlist" element and with designated elements
unlisted.
}
\references{
http://www.stat.cmu.edu/~hseltman/rube
}
\author{
Howard J. Seltman <hseltman@stat.cmu.edu>
}
\seealso{
\code{\link{rube}}
}
\examples{
## This example returns a list of three vector elements: age, id, and female
## where age a vector matched to id.  Note that "ages" is originally a ragged
## list, that its name is changed, and that the result does not have an "unlist"
## element.
lens <- sample(5:7, 10, rep=TRUE)
temp <- list(ages=lapply(lens, function(x) sample(20:70,x,rep=TRUE)),
             id=rep(1:10, each=lens),
             female=rbinom(10,1,0.5),
             unlist=list(age="ages"))
unlister(temp)
}
\keyword{utility}
\keyword{ragged}
